Skip to main content
POST
/
connect
/
validate
curl -X POST https://api.useknot.xyz/connect/validate \
  -H "Authorization: Bearer <token>"
{
  "status": true,
  "data": {
    "valid": true,
    "email": "agent@example.com",
    "solanaAddress": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
    "expiresAt": "2025-01-15T12:00:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.useknot.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Use this endpoint to confirm that a JWT token is still active before making other API calls. It returns the agent’s account details along with the token expiration time.
Requires authentication via Bearer token.

Response

status
boolean
true when the request succeeds.
data
object

Errors

StatusDescription
401Missing or invalid Bearer token
429Rate limit exceeded
curl -X POST https://api.useknot.xyz/connect/validate \
  -H "Authorization: Bearer <token>"
{
  "status": true,
  "data": {
    "valid": true,
    "email": "agent@example.com",
    "solanaAddress": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
    "expiresAt": "2025-01-15T12:00:00.000Z"
  }
}